haskell-language-server-2.7.0.0: LSP server for GHC

Safe Haskell | None
Language | GHC2021

Ide.Plugin.Pragmas

Description

Provides code actions to add missing pragmas (whenever GHC suggests to)

Synopsis

- suggestPragmaDescriptor :: PluginId -> PluginDescriptor IdeState
- completionDescriptor :: PluginId -> PluginDescriptor IdeState
- suggestDisableWarningDescriptor :: PluginId -> PluginDescriptor IdeState
- validPragmas :: [(Text, Text, Text, AppearWhere)]
- data AppearWhere
  - = NewLine
  - | CanInline

# Documentation

suggestPragmaDescriptor :: PluginId -> PluginDescriptor IdeState #

completionDescriptor :: PluginId -> PluginDescriptor IdeState #

suggestDisableWarningDescriptor :: PluginId -> PluginDescriptor IdeState #

validPragmas :: [(Text, Text, Text, AppearWhere)] #

data AppearWhere #

Pragma where exist

Constructors

NewLine | Must be on a new line
CanInline | Can appear in the line

#### Instances

Instances details

Show AppearWhere # |
Instance details Defined in Ide.Plugin.Pragmas Methods showsPrec :: Int -> AppearWhere -> ShowS # show :: AppearWhere -> String # showList :: [AppearWhere] -> ShowS #
Eq AppearWhere # |
Instance details Defined in Ide.Plugin.Pragmas Methods (==) :: AppearWhere -> AppearWhere -> Bool # (/=) :: AppearWhere -> AppearWhere -> Bool #